Bug 1343698 - [Privacy] Don't increase firefox' fingerprint by adding "Fedora" to user agent string
Summary: [Privacy] Don't increase firefox' fingerprint by adding "Fedora" to user agen...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-07 17:39 UTC by Christian Stadelmann
Modified: 2017-11-01 09:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-01 09:01:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2016-06-07 17:39:42 UTC
Description of problem:
Since release 35 of Firefox, Fedora is shipping it with a branded user agent string. This increases the fingerprint, distinguishing it from all other linux users. As a result, it is quite easy to track Fedora's firefox users, which can be a violation of their privacy.

Version-Release number of selected component (if applicable):
since firefox-35.0.1-5.fc21

How reproducible:
always.

Steps to Reproduce:
1. start firefox with a vanilla profile or at least with user agent settings unchanged
2. browse any website
3. have a look at your browser inspector, tab "Network". Click on any request and have a look at request headers, notably "User-Agent"
4. alternatively, you could e.g. go to http://browserspy.dk/useragent.php

Actual results:
Firefox has a distinct user agent unlike any other firefox distribution.

Expected results:
Firefox fingerprint should be the mozilla-provided default.

Additional info:
This anti-feature was proposed in bug #1190774 and rejected 4 years ago in bug #824717 for the same reason I wrote above.

Comment 1 Martin Stransky 2016-06-08 05:41:00 UTC
That's political, not technical issue. Please file FESCO ticket for that at https://fedorahosted.org/fesco/

Comment 2 Christian Stadelmann 2016-06-10 18:17:03 UTC
(In reply to Martin Stransky from comment #1)
> That's political, not technical issue. Please file FESCO ticket for that at
> https://fedorahosted.org/fesco/

Done, see https://fedorahosted.org/fesco/ticket/1586

Comment 3 Fedora End Of Life 2017-07-25 21:02:39 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Martin Stransky 2017-11-01 09:01:17 UTC
Yes, we do that and we're not going to remove it unless other distros do that.


Note You need to log in before you can comment on or make changes to this bug.